import { headers } from "next/headers";

// Data
import citiesData from "@/data/city.json";
import statesData from "@/data/state.json";

export function getStateInfo() {
  const headersList = headers();
  const host = headersList.get("host") || "";
  const subdomain = host.split(".")[0];

  const matchedCity = citiesData.find((city) =>
    city.domain.includes(subdomain),
  );
  const matchedState =
    matchedCity &&
    statesData.find((state) => state.id === matchedCity.province_id);

  return { matchedCity, matchedState };
}
